Skip to main content
POST
/
b2b
/
funds
/
withdrawals
Withdraw Funds
curl --request POST \
  --url https://nexus.kraken.com/b2b/funds/withdrawals \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "asset": "BTC",
  "key": "<string>",
  "amount": "1.23",
  "idempotency_token": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fee_token": "<string>",
  "preview": false
}
'
{
  "result": {
    "ref_id": "<string>",
    "amount": "1.23",
    "fee": "1.23",
    "total": "1.23",
    "fee_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Query Parameters

user
string | null

IIBAN of the target user. If omitted, applies to the master account.

Required string length: 14 - 42

Body

application/json
asset
string
required

Asset to withdraw

Required string length: 3 - 16
Example:

"BTC"

key
string
required

Saved withdrawal address key

amount
string<decimal128>
required

Amount to withdraw

Required string length: 1 - 64
Pattern: ^-?[0-9]+(\.[0-9]+)?$
Example:

"1.23"

idempotency_token
string<uuid>
required

Key used to guarantee idempotency. Reusing the same key on retry returns the original result.

fee_token
string | null

Fee token from GET /b2b/funds/withdrawals/methods, guarantees the quoted fee for 10 minutes.

preview
boolean
default:false

When true, only returns quoted amount, fee, and total; no withdrawal is created.

Response

Response

result
object